/*
  ftNano
  https://www.blafusel.de
*/
 
#define tasterIO 4      // I/O-Pin with switch
uint8_t lastStatus = 0;    // the last key position

void setup() {
  Serial.begin(9600);       // open serial port
  pinMode(tasterIO, INPUT_PULLUP);        //configure pin  as an input and enable the internal pull-up resistor
  lastStatus = digitalRead(tasterIO);     // save aktual key status first time
  Serial.write ("\nUse the button\n\n");
}

void loop() {
  uint8_t keyStatus = digitalRead(tasterIO);
  if (keyStatus != lastStatus)    // key status changed?
  {
    if (digitalRead(tasterIO) == HIGH) 
      Serial.write ("NOT pressed\n");
    else 
      Serial.write ("pressed\n");
    lastStatus = keyStatus;     // save new status
  }
  delay (100);      // simple debounce
}
